Subject: Re: [Bitcoin-development] instant confirmation via payment protocol backwards compatible proto buffer extension

From: Andreas Schildbach <[email-masked]>
Date: Sun, 15 Jun 2014 14:46:09 +0200

Yes I meant only the "supports_instant" is not needed.
"trusted_instant_providers" makes sense to me.

Generally I like the simplicity of this BIP. Still, I have more questions:

What is the use of the Transactions message? Note the Payment message
already contains a transactions field that could be signed. Can you
briefly describe the whole flow of messages on an example, including the
BIP70 messages?

Should we allow adding multiple signatures (from different instant
providers or maybe while transitioning to another PKI)?

On 06/15/2014 11:22 AM, Lawrence Nahum wrote:
> Andreas Schildbach <andreas <at> schildbach.de> writes:
>  
>> Just a quick comment:
>>
>> The supports_instant field seems redundant to me. First, as per your
>> spec, you can derive it from trusted_instant_providers. And second, why
>> do you need it at all? Protobuf is designed so it will simply ignore
>> fields you don't know. So you can just send the instant_* fields in the
>> Payment message without harm.
> 
> 
> 
> Agreed, supports_instant is redundant and can/should/will go.
> 
> trusted_instant_providers on the other hand I think is needed.
> 
> Sometimes the providers will charge fees for instant.
> 
> While the software can ignore the fields, 
> users may not want to pay for instant when the merchant may not accept it or 
> care (even if it would not break the protocol it would still be a waste of 
> fees)
> 
> Does it make sense? 
> 
> Not all transactions from GreenAddress provide double spend protection, there 
> are additional checks on prevout that are normally not done when spending 
> normally, etc
> 
> 
> ------------------------------------------------------------------------------
> HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
> Find What Matters Most in Your Big Data with HPCC Systems
> Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
> Leverages Graph Analysis for Fast Processing & Easy Data Exploration
> http://p.sf.net/sfu/hpccsystems
>